# Class CIM_StorageClientSettingData
extends CIM_SettingData

This class models host environment factors that influence the behavior of Storage Systems. For example, a disk array has different SCSI responses for clients (initiators) configured as AIX verses HPUX. Instances of this setting class can be associated via ElementSettingData to a storage system's LogicalPort, ProtocolController, or Volume instances when these elements have host awareness. These associations are created by the management instrumentation provider to reflect the current configuration. A client deletes/creates these associations to request changes in element host-awareness. This settings class can also be associated with StorageHardwareID instances when that HW ID is configured with host information. An instance of this setting may include several ClientType values if the storage system treats them identically. The storage system exposes all supported setting instances to a WBEM Enumerate request; the client uses the returned settings to determine which types are available.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_StorageClientSettingData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class models host environment factors that influence the behavior of Storage Systems. For example, a disk array has different SCSI responses for clients (initiators) configured as AIX verses HPUX. Instances of this setting class can be associated via ElementSettingData to a storage system's LogicalPort, ProtocolController, or Volume instances when these elements have host awareness. These associations are created by the management instrumentation provider to reflect the current configuration. A client deletes/creates these associations to request changes in element host-awareness. This settings class can also be associated with StorageHardwareID instances when that HW ID is configured with host information. An instance of this setting may include several ClientType values if the storage system treats them identically. The storage system exposes all supported setting instances to a WBEM Enumerate request; the client uses the returned settings to determine which types are available.

UMLPackagePath | string | CIM::User::StorageHardwareID
Version | string | 2.37.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClientTypes | uint16[] |
ArrayType | string | Indexed

Description

string

This enumeration defines operating system, version, driver, and other host environment factors that influence the behavior exposed by storage systems. Values in this array are combined with data from the OtherClientTypeDescriptions property to provide complete information on the host environment. "Microsoft Windows" indicates generic Windows operating system. To utilize features of a specific Windows operating system, use the corresponding value for that Windows operating system, for example, "Microsoft Windows Server 2008".

ModelCorrespondence | string | CIM_StorageClientSettingData.OtherClientTypeDescriptions
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23..32767, 32768..65535
Values | string | Unknown, Other, Standard, Solaris, HPUX, OpenVMS, Tru64, Netware, Sequent, AIX, DGUX, Dynix, Irix, Cisco iSCSI Storage Router, Linux, Microsoft Windows, OS400, TRESPASS, HI-UX, VMware ESXi, Microsoft Windows Server 2008, Microsoft Windows Server 2003, Microsoft Windows Server 2012, DMTF Reserved, Vendor Specific
OtherClientTypeDescriptions | string[] |
ArrayType | string | Indexed
Description | string | When the the corresponding array entry in ClientTypes[] is "Other", this entry provides a string describing the manufacturer and OS/Environment. When the corresponding ClientTypes[] entry is not "Other", this entry allows variations or qualifications of ClientTypes - for example, different versions of Solaris.
ModelCorrespondence | string | CIM_StorageClientSettingData.ClientTypes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods